var
  a: string;
  i, j: integer;
  fo: text;
begin
  assign(fo, 'input.txt');
  rewrite(fo);
  writeln(fo, 10000);
  for i := 1 to 10000 do begin
    fillchar(a[1], 255, '.');
    a[0] := chr(255);
    for j := 1 to (i mod 255) + 1 do
    	a[j] := chr(ord('a') + (j - 1) mod 26);
    writeln(fo, a);
  end;
  close(fo);
end.